---
layout: release
date: 2022-06-07
tag: v0.6.0-rc.5t
---

## What's New
## 🔤 General
- [Server] Add support to get MeshSync version @MUzairS15 (#5566)
- Replace `kubeopenapi-jsonschema` based component generation with CUE @sudo-NithishKarthik (#5549)
- Fix manifest URL for argo rollouts[Application] @Revolyssup (#5546)
- pull_policy: always @Revolyssup (#5521)
- added an initial walkthrough for dde @warunicorn19 (#5509)
- adding the loading animation @warunicorn19 (#5520)
- Allow connecting to multiple brokers[panic fixed] @Revolyssup (#5513)
- Reinstate wrk2 submodule @alphaX86 (#5506)
- Fix wrk2 submodule @alphaX86 (#5505)
- [Server] [Bug] Fix Cilium deployments not showing in UI. @MUzairS15 (#5443)
- [DDE] Fix WebSocket Proxy issue @sudo-NithishKarthik (#5503)
- responsiveness to DDE @warunicorn19 (#5500)
- fix: Auth token effect refinement @sudo-NithishKarthik (#5498)
- Extension @warunicorn19 (#5497)
- [DDE] Support Login feature work with docker compose import  @sudo-NithishKarthik (#5490)
- [Server] Add version details for MeshSync and Broker @MUzairS15 (#5480)
- fix for meshery logo for dde @warunicorn19 (#5477)
- [DDE] [Refactor] Configure authentication with proxy  @sudo-NithishKarthik (#5467)
- added a lighter color and toaster @warunicorn19 (#5465)
- Added `namespaced` field into kubernetes oam definition.metadata @Revolyssup (#5447)
- Dde light mode support @warunicorn19 (#5439)
- Bump ejs from 3.1.6 to 3.1.7 in /install/docker-extension/ui @dependabot (#5436)
- updated image in dde description @warunicorn19 (#5425)
- Remove older hack for namespace creation @Revolyssup (#5423)
- [Chore] Makefile to display required golang version @leecalcote (#5417)
- removed elevation @warunicorn19 (#5416)
- added meshsync animation to dde @warunicorn19 (#5415)
- [mesheryctl] Improved UX for bash script installer @cpepper96 (#5371)
- Adds HPE Security Engineering as adopter @mchurichi (#5382)
- [Visualiser] Add Cluster Name To Visualiser @theBeginner86 (#5348)
- Fix failing kubeopenapi binary due to missing library @Revolyssup (#5373)
- [Docker Extension] Proxy: remove unnecessary caps @leecalcote (#5369)
- [CI] Made changes to Makefile to enforce usage of go v1.17.8 @asubedy (#5367)
- [DDE] Setup Golang proxy for the UI to be able to communicate with Meshery Server @sudo-NithishKarthik (#5365)
- [Bug] - Fixed Upstream URL Issue @adithyaakrishna (#5359)
- potential fix for dde icon @warunicorn19 (#5358)
- dde_css @warunicorn19 (#5356)
- Update ADOPTERS.md @samirparhi-dev (#5353)
- [CI] Workflow DDE @leecalcote (#5351)
- Changed Description @hershd23 (#5350)
- small changes in dde @warunicorn19 (#5347)
- added browse in dde @warunicorn19 (#5343)

## 🚀 Features

- [graphql] added kubectl describe graphql endpoint @piyushsingariya (#5391)

## ⌨️ Meshery CLI

- Add genDocs function for mesheryctl @alphaX86 (#5366)
- Add `--provider` flag to `system login` @alphaX86 (#5492)
- [mesheryctl] Reset config file on system reset @gr455 (#5489)
- [mesheryctl] Fallback to force cleanup in system stop @piyushsingariya (#5429)
- updated_error_message @Akshit42-hue (#5424)
- [mesheryctl] Implement URL support for pattern delete @gr455 (#5404)
- fix the context parsing logic in system config subcommand #5408 @Revolyssup (#5411)
- [mesheryctl] fix the panic issue in system config minikube command @hexxdump (#5402)

## 🖥 Meshery UI

- Add support for hard reset of database. @MUzairS15 (#5532)
- [Extension] added space between name and namespace @warunicorn19 (#5554)
- [Docs] Add contributing instructions for end-to-end testing using Cypress @MarioArriaga92 (#5526)
- [UI] Adapters: Change adapter settings verbiage @leecalcote (#5533)
- [Bug] Show static board results @theBeginner86 (#5438)
- Bump @fortawesome/react-fontawesome from 0.1.16 to 0.1.18 in /ui @dependabot (#5507)
- [UI] Select Pattern Component dropdown opening downwards now @Harshit-Dandriyal (#5446)
- [UI]: Display filename after upload. @SAEb-ai (#5501)
- [Cypress] Add ui tests for lifecycle @Abhishek-kumar09 (#5171)
- Revert "Allow connecting to multiple brokers " @leecalcote (#5510)
- Allow connecting to multiple brokers  @Revolyssup (#5499)
- [UI] Fix disappearing MeshSync and Broker chips @MUzairS15 (#5487)
- Revert "[Extension] load only Single page extension on desktop-desktop env" @Abhishek-kumar09 (#5495)
- [Extension] load only Single page extension on desktop-desktop env @Abhishek-kumar09 (#5476)
- [UI] JSS: Dependency update @leecalcote (#5368)
- Bump eslint-plugin-import from 2.25.4 to 2.26.0 in /ui @dependabot (#5455)
- [Extension] Dependency: SwapCalls MUI icon @leecalcote (#5481)
- Bump react-slick from 0.28.1 to 0.29.0 in /ui @dependabot (#5453)
- Bump cron-time-generator from 1.2.2 to 1.3.0 in /ui @dependabot (#5461)
- Bump next from 12.1.4 to 12.1.5 in /provider-ui @dependabot (#5462)
- [UI]Changed zIndex of pattern Setting to stop overlapping it from the  form @Harshit-Dandriyal (#5468)
- [UI] [Server] Enhanced notification for MeshSync and Broker @MUzairS15 (#5444)
- [UI]All Context Chips are visible in Dashboard @Harshit-Dandriyal (#5435)
- Bump @material-ui/icons from 4.11.2 to 4.11.3 in /provider-ui @dependabot (#5460)
- Bump nodemon from 2.0.15 to 2.0.16 in /provider-ui @dependabot (#5449)
- [UI]Corrected boaard to board @Harshit-Dandriyal (#5445)
- Bump cypress from 9.5.3 to 9.6.0 in /provider-ui @dependabot (#5448)
- Bump immutable from 4.0.0-rc.15 to 4.0.0 in /ui @dependabot (#5450)
- [UI] add hook for disable page routing on unsaved contents @Abhishek-kumar09 (#5442)
- [UI] [Pattern] changed minor bugs on MesheryPattern.js @asubedy (#5406)
- [Extensions] Meshsync animation logo logic fix @Chadha93 (#5441)
- Added button for resetting Meshery database. @MUzairS15 (#5421)
- [Extension] fixes UI breaks in meshery-extension @Abhishek-kumar09 (#5420)
- Fix invalid metadata @warunicorn19 (#5418)
- increased size of tooltip @warunicorn19 (#5410)
- [UI] dev server build Failure due to eslint upgrades @Abhishek-kumar09 (#5403)
- Fix notifications not showing up. @MUzairS15 (#5401)
- [UI]Added arrow on hovering Collapsed SideNav @Harshit-Dandriyal (#5297)
- fix: update operation not working from codemirror @Abhishek-kumar09 (#5398)
- [UI]Designed Multi Cluster Context Switcher Search Box and Chip @Harshit-Dandriyal (#5310)
- Bump async from 3.2.0 to 3.2.3 in /ui @dependabot (#5381)
- Bump async from 3.2.0 to 3.2.3 in /provider-ui @dependabot (#5380)
- fix: extension class conflicts due to mui makestyles classNames conflicts @Abhishek-kumar09 (#5383)
- Fix: Select All not working @MUzairS15 (#5378)
- [UI] Card view of Design Page @asubedy (#5339)
- [Extension] Use loading component from extension point @Abhishek-kumar09 (#5372)
- [RJSF] Support Lazy loading of components tooltip in Exntension @Abhishek-kumar09 (#5363)
- Bump moment from 2.29.1 to 2.29.2 in /ui @dependabot (#5362)
- Bump @types/react-relay from 11.0.2 to 13.0.2 in /ui @dependabot (#5332)
- Bump babel-plugin-relay from 11.0.2 to 13.2.0 in /ui @dependabot (#5333)

## 🔋 Patterns, Filters, Applications

- [patterns] Enable accepting versioned components from client side @Abhishek-kumar09 (#5390)
- Specify namespace as default when missing @Revolyssup (#5413)
- Do not change service name in patternfile for designs unless duplicated @Revolyssup (#5400)
- fix: update operation not working from codemirror @Abhishek-kumar09 (#5398)
- [UI] Card view of Design Page @asubedy (#5339)

## 🐛 Bug Fixes

- [Bug] Show static board results @theBeginner86 (#5438)
- [Bug] Solve panic during performance test @theBeginner86 (#5512)
- [Bug] Fix Panic @theBeginner86 (#5412)

## 🧰 Maintenance

- Added multiple k8s version for adapter tests @4molybdenum2 (#5548)
- [Docs] Add contributing instructions for end-to-end testing using Cypress @MarioArriaga92 (#5526)
- Bump github.com/prometheus/client_golang from 1.12.1 to 1.12.2 @dependabot (#5514)
- [CI] Mention resource type in adapters e2e docs @gr455 (#5530)
- [CI] Generalize resource assertions in adapters CI @gr455 (#5522)
- Add genDocs function for mesheryctl @alphaX86 (#5366)
- Bump @fortawesome/react-fontawesome from 0.1.16 to 0.1.18 in /ui @dependabot (#5507)
- [Cypress] Add ui tests for lifecycle @Abhishek-kumar09 (#5171)
- [Bug] Solve panic during performance test @theBeginner86 (#5512)
- Bump github.com/layer5io/meshkit from 0.5.17 to 0.5.18 @dependabot (#5511)
- Bump eslint-plugin-import from 2.25.4 to 2.26.0 in /ui @dependabot (#5455)
- Bump github.com/jarcoal/httpmock from 1.1.0 to 1.2.0 @dependabot (#5482)
- Update to meshery-operator v0.5.4 @leecalcote (#5484)
- Bump github.com/99designs/gqlgen from 0.17.1 to 0.17.5 @dependabot (#5470)
- Bump github.com/prometheus/common from 0.32.1 to 0.34.0 @dependabot (#5474)
- Bump github.com/layer5io/meshsync from 0.5.0 to 0.5.3 @dependabot (#5464)
- Bump gorm.io/gorm from 1.23.4 to 1.23.5 @dependabot (#5456)
- Bump react-slick from 0.28.1 to 0.29.0 in /ui @dependabot (#5453)
- Bump cron-time-generator from 1.2.2 to 1.3.0 in /ui @dependabot (#5461)
- Bump google.golang.org/grpc from 1.45.0 to 1.46.0 @dependabot (#5457)
- Bump next from 12.1.4 to 12.1.5 in /provider-ui @dependabot (#5462)
- Bump github.com/vektah/gqlparser/v2 from 2.4.1 to 2.4.2 @dependabot (#5454)
- [CI] Update location of Dockerfile in testadapters.yaml workflow @leecalcote (#5469)
- Bump github.com/lib/pq from 1.10.4 to 1.10.5 @dependabot (#5458)
- Bump @material-ui/icons from 4.11.2 to 4.11.3 in /provider-ui @dependabot (#5460)
- Bump nodemon from 2.0.15 to 2.0.16 in /provider-ui @dependabot (#5449)
- Bump cypress from 9.5.3 to 9.6.0 in /provider-ui @dependabot (#5448)
- Bump immutable from 4.0.0-rc.15 to 4.0.0 in /ui @dependabot (#5450)
- [CI] Labeler Update with additional directories. @leecalcote (#5437)
- [WIP] Added workflow_call trigger to DDE workflow @hershd23 (#5431)
- [Lifecycle] Installation: Move away from git.io @leecalcote (#5432)
- Service Mesh Provisioning for DDE @warunicorn19 (#5346)
- Implement docker-compose to kubernetes manifest conversion using Kompose @leecalcote (#5394)
- [CI] Helm: Upgrade Helm docs library @leecalcote (#5407)
- Remove wrk2 submodule @leecalcote (#5384)
- Bump async from 3.2.0 to 3.2.3 in /ui @dependabot (#5381)
- Bump async from 3.2.0 to 3.2.3 in /provider-ui @dependabot (#5380)
- Revert "[CI] Use mesheryctl to start adapters in CI" @gr455 (#5379)
- fix(#5342): image version to edge-latest for meshery-perf @gkarthiks (#5344)
- [CI] Use mesheryctl to start adapters in CI @gr455 (#5361)
- Bump moment from 2.29.1 to 2.29.2 in /ui @dependabot (#5362)
- Bump @types/react-relay from 11.0.2 to 13.0.2 in /ui @dependabot (#5332)
- Bump babel-plugin-relay from 11.0.2 to 13.2.0 in /ui @dependabot (#5333)
- Bump github.com/99designs/gqlgen from 0.17.1 to 0.17.2 @dependabot (#5324)
- [CI] Upgrade setup-go version @alphaX86 (#5354)
- [CI] Docker Extension for Meshery workflow @leecalcote (#5352)
- [CI] DDE: Fix release channel logic @leecalcote (#5349)
- Updated Contributing-gitflow(Readme) @Nandani-Paliwal (#5313)

## 📖 Documentation

- modified README.md for implementation of light/dark mode logos @KrishAryan (#5551)
- [Docs] Update multiple-of-the-same-adapter.md @leecalcote (#5374)
- Bump rack from 2.2.3 to 2.2.3.1 in /docs @dependabot (#5552)
- added cncf-white.png and cncf-black.png in [docs/assets/img/readme/] an… @KrishAryan (#5543)
- [Docs] Add contributing instructions for end-to-end testing using Cypress @MarioArriaga92 (#5526)
- removed extra spaces by replacing h5 with p and strong tags in [docs>_includes>installation_prerequisites] @KrishAryan (#5531)
- [DOCS] Initialized Summary table for Compatibility Matrix @asubedy (#5419)
- [Docs] - fixed typos in contribution markdown @rkpattnaik780 (#5524)
- Bump nokogiri from 1.13.4 to 1.13.6 in /docs @dependabot (#5523)
- Add genDocs function for mesheryctl @alphaX86 (#5366)
- Write the doc for Meshery Extension point and custom component #5376 … @karnatisrinivas (#5399)
- Meshery adapters for NGINX, Cilium  are to be moved to stable. @karnatisrinivas (#5516)
- [Docs] Fixed broken links on Extensibility/Adapters page  @Rohith-Raju (#5518)
- Changes in the Documentation for make commands @karnatisrinivas (#5502)
- Added Cilium Service Mesh to table of contents (menu) @Rohith-Raju (#5493)
- [Docs] Add FAQ for Port Overriding Problem with docker-desktop and minikube on Mac @theBeginner86 (#5488)
- Install Instructions of Docker extenstion for Meshery @karnatisrinivas (#5491)
- Service Meshes update in Adapters section : PR for #5393 @karnatisrinivas (#5396)
- ruby_version_updated_in_docs @Akshit42-hue (#5466)
- [Lifecycle] Installation: Move away from git.io @leecalcote (#5432)
- Service Mesh Provisioning for DDE @warunicorn19 (#5346)
- Bump nokogiri from 1.13.3 to 1.13.4 in /docs @dependabot (#5370)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@4molybdenum2, @Abhishek-kumar09, @Akshit42-hue, @Chadha93, @Harshit-Dandriyal, @KrishAryan, @MUzairS15, @MarioArriaga92, @Nandani-Paliwal, @Nikhil-Ladha, @Revolyssup, @Rohith-Raju, @SAEb-ai, @adithyaakrishna, @alphaX86, @asubedy, @cpepper96, @debo19, @dependabot, @dependabot[bot], @gkarthiks, @gr455, @hershd23, @hexxdump, @karnatisrinivas, @l5io, @leecalcote, @mchurichi, @piyushsingariya, @rkpattnaik780, @samirparhi-dev, @sudo-NithishKarthik, @theBeginner86, @warunicorn19, Nithish and Piyush Singariya
